apiVersion: v1
kind: ConfigMap
metadata:
  name: kafbat-config
  namespace: freeleaps-data-platform
data:
  config.yml: |
    kafka:
      clusters:
        - name: freeleaps-kafka-cluster
          bootstrap-servers: freeleaps-kafka-cluster-kafka-bootstrap.freeleaps-data-platform.svc.freeleaps.cluster:9092
          properties:
            security.protocol: SASL_PLAINTEXT
            sasl.mechanism: SCRAM-SHA-512
            sasl.jaas.config: 'org.apache.kafka.common.security.scram.ScramLoginModule required username="kafbat-agent" password="lUL2Ay9twljpMMNC2mdwMacK9PoPkMGv";'
    schemaRegistry: http://schema-registry.freeleaps-data-platform.svc.freeleaps.cluster:8081
    auth: disabled
    management:
      health:
        ldap:
          enabled: false
